Bug 28820 - [Package Request] openconnect-sso
Summary: [Package Request] openconnect-sso
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Backports (show other bugs)
Version: 8
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL: https://github.com/vlaci/openconnect-sso
Whiteboard: MGA8-64-OK
Keywords: validated_backport
Depends on:
Blocks:
 
Reported: 2021-04-21 07:25 CEST by Zombie Ryushu
Modified: 2021-05-07 08:04 CEST (History)
2 users (show)

See Also:
Source RPM: openconnect-sso
CVE:
Status comment:


Attachments

Description Zombie Ryushu 2021-04-21 07:25:32 CEST
My employer uses Palo Alto Global Protect on Linux. The proprietary App for Linux they produce will not work on anything other than Ubuntu, and contains an internal Check to prevent non-certified Linux distributions like Mageia from functioning, stating that there is a Certificate error. 

OpenConnect on Mageia 8 supports GlobalProtect, however, they also use Azure AAD with a SAML wrapper. I need this python wrapper packaged to process the SAML Request.
Comment 1 David GEIGER 2021-04-21 08:51:49 CEST
openconnect-sso 0.7.3 imported on Cauldron!

CC: (none) => geiger.david68210

Comment 2 David GEIGER 2021-04-21 09:31:53 CEST
And now backported in 8/core/backports_testing repo!
Comment 3 David GEIGER 2021-04-21 09:48:12 CEST
Assigning to QA,


openconnect-sso is a wrapper script for OpenConnect supporting Azure AD (SAMLv2) authentication to Cisco SSL-VPNs.

It would be great if this package can be validated and pushed to Core/Backports repo.

========================

Packages in 8/core/backports_testing:
========================
openconnect-sso-0.7.3-1.mga8.noarch.rpm
python3-structlog-21.1.0-1.mga8.noarch.rpm

Source RPM: 
========================
openconnect-sso-0.7.3-1.mga8.src.rpm
python-structlog-21.1.0-1.mga8.src.rpm

Component: RPM Packages => Backports

David GEIGER 2021-04-21 09:50:20 CEST

Assignee: bugsquad => qa-bugs

Comment 4 Aurelien Oudelet 2021-04-23 19:42:11 CEST
@Zombie, can you test this and report back?

CC: (none) => ouaurelien

Comment 5 Zombie Ryushu 2021-04-24 00:19:18 CEST
I have, this seem to work when paired with openconnect-globalprotect.
Comment 6 Aurelien Oudelet 2021-04-29 19:03:09 CEST
(In reply to Zombie Ryushu from comment #5)
> I have, this seem to work when paired with openconnect-globalprotect.

OK

Whiteboard: (none) => MGA8-64-OK
Keywords: (none) => validated_backport

Comment 7 Thomas Backlund 2021-05-07 08:04:40 CEST
moved

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.